# Uses of Class
org.eclipse.gef.ui.palette.PaletteViewerProvider

Packages that use PaletteViewerProvider
Package
Description
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts
org.eclipse.gef.ui.views.palette

## Uses of PaletteViewerProvider in org.eclipse.gef.ui.palette

Constructors in org.eclipse.gef.ui.palette with parameters of type PaletteViewerProvider
Modifier
Constructor
Description
``
`FlyoutPaletteComposite(Composite parent, int style, IWorkbenchPage page, PaletteViewerProvider pvProvider, FlyoutPaletteComposite.FlyoutPreferences preferences)`
Constructor

## Uses of PaletteViewerProvider in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return PaletteViewerProvider
Modifier and Type
Method
Description
`protected PaletteViewerProvider`
GraphicalEditorWithFlyoutPalette.`createPaletteViewerProvider()`
Creates a PaletteViewerProvider that will be used to create palettes for the view and the flyout.
`protected final PaletteViewerProvider`
GraphicalEditorWithFlyoutPalette.`getPaletteViewerProvider()`
Returns the palette viewer provider that is used to create palettes for the view and the flyout.
Constructors in org.eclipse.gef.ui.parts with parameters of type PaletteViewerProvider
Modifier
Constructor
Description
``
`CustomPalettePage(PaletteViewerProvider provider)`
Constructor

## Uses of PaletteViewerProvider in org.eclipse.gef.ui.views.palette

Fields in org.eclipse.gef.ui.views.palette declared as PaletteViewerProvider
Modifier and Type
Field
Description
`protected PaletteViewerProvider`
PaletteViewerPage.`provider`
The PaletteViewerProvider that is used to create the PaletteViewer
Constructors in org.eclipse.gef.ui.views.palette with parameters of type PaletteViewerProvider
Modifier
Constructor
Description
``
`PaletteViewerPage(PaletteViewerProvider pvProvider)`
Constructor